﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace MaskedBox
{
    public class ViewModel : INotifyPropertyChanged
    {

        #region MyProperty (INotifyPropertyChanged Property)
        private decimal? decimalProp = null;

        public decimal? Decimalvalue
        {
            get { return decimalProp; }
            set
            {
                decimalProp = value;
                RaisePropertyChanged("Decimalvalue");
            }
        }
        #endregion
        

        


        public event PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
 


    }
}
